import http from '../http'

export default {
  page: data => http.post('/v1/equip_rel_delivery/page', data).then(res => res),
  pageTemp: data =>
    http.post('/v1/equip_rel_delivery/page_temp', data).then(res => res),
  getById: id => http.get('/v1/equip_rel_delivery/' + id).then(res => res),
  list: data => http.post('/v1/equip_rel_delivery/list', data).then(res => res),
  edit: data =>
    http.put('/v1/equip_rel_delivery?id=' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/equip_rel_delivery/', data).then(res => res),
  addPros: data =>
    http
      .post('/v1/equip_rel_delivery/addTempDelivery/?equipIds=' + data)
      .then(res => res)
}
